---
title: "List Documents of Payout"
source_url: https://docs.rapyd.net/en/list-documents-of-payout.html
lang: en
---

# List Documents of Payout

Retrieve details of all supporting document files that were previously uploaded to a specific payout.

> **Note:**
>
> The code samples include successful requests (200), bad requests (400), and an unauthorized request (401).
>
> For a list of all error messages that appear due to bad requests, see:
>
> - [Document Errors](https://docs.rapyd.net/en/document-errors.md "Document Errors")
> - [Payout Errors](https://docs.rapyd.net/en/payout-errors.md "Payout Errors")
> - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")

### Parameters

### Request Path Parameters

- - payout
  - ID of the payout. String starting with **payout_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

The following parameters are returned for each file that was uploaded.

- - payout_token
  - ID of the payout. String starting with **payout_**.
- - file_id
  - ID of the uploaded file. UUID.
- - file_name
  - The name of the document file.
- - file_extension
  - The uploaded file's extension.
- - created_at
  - The date and time when the file was successfully uploaded. Format is **YYYY-MM-DD HH:MM:SS**.

- /v1/payouts/:payout/documents/

- List Documents of Payout
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payouts/payout_af69206aec6c2a22327f774f08d4ae32/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "7461fb67-ba67-44ad-98d1-1124648e2a2f"
      },
      "data": [
          {
              "payout_token": "payout_af69206aec6c2a22327f774f08d4ae32",
              "file_id": "6de28b3a-09f3-413e-94e0-14780548c6ae",
              "file_name": "Mass Payout for Itamar - ua_general_card.csv",
              "file_extension": "csv",
              "created_at": "2025-10-15T07:48:38.000Z"
          },
          {
              "payout_token": "payout_af69206aec6c2a22327f774f08d4ae32",
              "file_id": "83916812-af6b-47a7-8c43-8621114a478b",
              "file_name": "Mass Payout Test - 15_05_25 - Copy.csv",
              "file_extension": "csv",
              "created_at": "2025-10-15T07:48:38.000Z"
          }
      ]
  }
  ```

- Bad Request - Payout Not Found
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payouts/payout_12345/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_PAYOUT",
          "status": "ERROR",
          "message": "The request tried to retrieve a payout, but the payout was not found. The request was rejected. Corrective action: Use the ID of a valid payout.",
          "response_code": "ERROR_GET_PAYOUT",
          "operation_id": "e2738675-90bc-40c7-949d-831d144f8bc2"
      }
  }
  ```

- Unauthorized
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payouts/payout_af69206aec6c2a22327f774f08d4ae32/documents/' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "UNAUTHENTICATED_API_CALL",
          "status": "ERROR",
          "message": "The request was rejected due to an authentication issue. Corrective action: Check the status of your account in the 'Account Details' page of the Client Portal.",
          "response_code": "UNAUTHENTICATED_API_CALL",
          "operation_id": "3a01b64a-346d-4198-83d8-6562991f4378"
      }
  }
  ```
